Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`gireactor``

module documentation
(source)

This module provides support for Twisted to interact with the glib mainloop via GObject Introspection.

In order to use this support, simply do the following:

        from twisted.internet import gireactor
        gireactor.install()

If you wish to use a GApplication, register it with the reactor:

        from twisted.internet import reactor
        reactor.registerGApplication(app)

Then use twisted.internet APIs as usual.

On Python 3, pygobject v3.4 or later is required.

Class | `GIReactor` | GObject-introspection event loop reactor.
Class | `PortableGIReactor` | Portable GObject Introspection event loop reactor.
Function | `install` | Configure the twisted mainloop to be run inside the glib mainloop.

def install(useGtk: `bool` = False) -> `Union[GIReactor, PortableGIReactor]`: (source)

Configure the twisted mainloop to be run inside the glib mainloop.

Parameters
useGtk:`bool` | A hint that the Gtk GUI will or will not be used. Currently does not modify any behavior.
Returns
`Union[GIReactor, PortableGIReactor]` | Undocumented